Subject: Re: Problem with system commands: cp and mv
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 9 Jun 2001 15:54:21 +0300

On Fri, 8 Jun 2001 16:54:01 -0700, Kerry Sanger <[email-masked]> wrote:
> 
> I can't cp or mv any simple executable..example:
> 
>      simple C program - expire.c
> 
>      compile and link expire.c:
>     
>             gcc -c -I. expire.c
>             gcc expire.o -o expire
> 
>      from the current directory where the expire
>      executable exists and where a subdirectory util
>      exists:                  cp expire util/
>     -or-                      cp expire util/expire
>     -or-                      mv expire util/
>     -or-                      mv expire util/expire
> 
>      all return: 'expire and util/expire are the same file'..eh?
>      there is no util/expire..so what's it seeing/comparing? 
> 
>      I can cp or mv any other flat file or library ( .a ) I've
>      created to util..just not any of the executables.
> 
>      cygwin seems to think the current path and the
>      current path/util are the same as though I were 
>      attempting: cp expire ./expire
>      ( in which case I would expect the error:
>          expire and expire are the same file ).
> 
>      I can go to a dos window and:
> 
>        copy dcheck.exe util
> -or- copy dcheck.exe util\
> -or- copy dcheck.exe util\dcheck 

I verified the problem on W98 too.
It also occurs with hardlink (ln) but not with symbolic link (ln -s)
presumably because `ln -s' does not check file existence.

A very easy solution (workaround ?) is to use the file name with the
.exe extension (checked\).

e.g. In your case: cp expire.exe util/   -or-   mv expire.exe util)

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-6212-757 Fax: +972-3-6292-544   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple